Subject: Re: [PATCH 3/10 v2] Add MPC8641 HPCN PCI and PCI-Express files.

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 10 Jun 2006 08:11:22 +1000

On Fri, 2006-06-09 at 11:09 -0500, Jon Loeliger wrote:
> So, like, the other day Benjamin Herrenschmidt mumbled:
> > On Thu, 2006-06-08 at 16:57 -0500, Jon Loeliger wrote:
> > > Signed-off-by: Xianghua Xiao <[email-masked]>
> > > Signed-off-by: Wei Zhang <[email-masked]>
> > > Signed-off-by: Haiying Wang <[email-masked]>
> > > Signed-off-by: Jon Loeliger <[email-masked]>
> > 
> > There are various things in this code that duplicate names used by other
> > platforms and thus makes the board unsuitable for use in a common
> > kernel. That needs to be fixed. Try avoiding too generic names. Also,
> > PCI Express shall be named "pcie" and not "pex" :)
> > 
> > I don't have time at the moment to go too deep in the details here.
> > 
> > Ben.
> 
> I will also prefix some routines with mpc86xx_ to avoid
> the generic names problems.  But I'm not sure which other
> platforms you expect this one kernel image to run on.
> Specifically, this pcie code is very similar to the 8548
> family, but not exactly the same.

It's a policy. On powerpc, MULTIPLATFORM will be the default. One can
build an image that boots a powermac, a pseries and your machines. The
user doesn't _have_ to but the possibility is there. Might be useful in
the long run for embedded distros. It also force us into staying clean
and that's a good thing in general.

> My understanding is that we are shooting for a single 86xx
> family kernel image here, with this 8641 HPCN platform being
> the first such port.
>
> I will s/pex/pcie/g and rename files accordingly.

There is no compelling reason to prevent a true multiplatform kernel
since it's not a different enough CPU (like 4xx or 8xx would be), thus
it shall be in the common config. That's something that we need to fix
about Kumar couple of initial ports to arch/powerpc too.

Ben